curl --request POST \
--url https://api.stackone.com/unified/proxy \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--header 'x-account-id: <x-account-id>' \
--data '
{
"url": "https://api.sample-integration.com/v1",
"method": "get",
"path": "/employees/directory",
"headers": {
"Content-Type": "application/json"
},
"body": {}
}
'import requests
url = "https://api.stackone.com/unified/proxy"
payload = {
"url": "https://api.sample-integration.com/v1",
"method": "get",
"path": "/employees/directory",
"headers": { "Content-Type": "application/json" },
"body": {}
}
headers = {
"x-account-id": "<x-account-id>",
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-account-id': '<x-account-id>',
Authorization: 'Basic <encoded-value>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
url: 'https://api.sample-integration.com/v1',
method: 'get',
path: '/employees/directory',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({})
})
};
fetch('https://api.stackone.com/unified/proxy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 200,
"headers": {
"content-type": "application/json",
"x-request-id": "123e4567-e89b-12d3-a456-426614174000"
},
"data": {
"id": "123",
"name": "John Doe",
"email": "john.doe@example.com"
},
"provider_errors": [
{
"status": 400,
"url": "https://api.someprovider.com/v1/endpoint",
"raw": {
"error": "Bad Request",
"message": "The supplied data is invalid"
},
"headers": {
"date": "Tue, 02 Apr 2024 13:52:01 GMT",
"content-type": "application/json; charset=utf-8"
}
}
]
}{
"status": 200,
"headers": {
"content-type": "application/json",
"x-request-id": "123e4567-e89b-12d3-a456-426614174000"
},
"data": {
"id": "123",
"name": "John Doe",
"email": "john.doe@example.com"
},
"provider_errors": [
{
"status": 400,
"url": "https://api.someprovider.com/v1/endpoint",
"raw": {
"error": "Bad Request",
"message": "The supplied data is invalid"
},
"headers": {
"date": "Tue, 02 Apr 2024 13:52:01 GMT",
"content-type": "application/json; charset=utf-8"
}
}
]
}{
"status": 200,
"headers": {
"content-type": "application/json",
"x-request-id": "123e4567-e89b-12d3-a456-426614174000"
},
"data": {
"id": "123",
"name": "John Doe",
"email": "john.doe@example.com"
},
"provider_errors": [
{
"status": 400,
"url": "https://api.someprovider.com/v1/endpoint",
"raw": {
"error": "Bad Request",
"message": "The supplied data is invalid"
},
"headers": {
"date": "Tue, 02 Apr 2024 13:52:01 GMT",
"content-type": "application/json; charset=utf-8"
}
}
]
}{
"status": 200,
"headers": {
"content-type": "application/json",
"x-request-id": "123e4567-e89b-12d3-a456-426614174000"
},
"data": {
"id": "123",
"name": "John Doe",
"email": "john.doe@example.com"
},
"provider_errors": [
{
"status": 400,
"url": "https://api.someprovider.com/v1/endpoint",
"raw": {
"error": "Bad Request",
"message": "The supplied data is invalid"
},
"headers": {
"date": "Tue, 02 Apr 2024 13:52:01 GMT",
"content-type": "application/json; charset=utf-8"
}
}
]
}{
"statusCode": 400,
"message": "Bad Request",
"timestamp": "2023-05-30T00:00:00.000Z",
"data": {
"statusCode": 400,
"message": "Bad Request",
"headers": {
"content-type": "application/json",
"x-request-id": "5678c28b211dace4e0a0f9171e6b88c5"
}
},
"provider_errors": [
{
"status": 400,
"url": "https://api.provider.com/v1/resource",
"raw": {
"message": "Invalid input parameters"
},
"headers": {
"content-type": "application/json",
"x-request-id": "5678c28b211dace4e0a0f9171e6b88c5"
}
}
]
}{
"statusCode": 401,
"message": "Unauthorized",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 403,
"message": "Forbidden resource",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 404,
"message": "Not Found",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 408,
"message": "Request timed out",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 409,
"message": "Conflict",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 412,
"message": "Precondition failed",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 422,
"message": "Unprocessable Entity",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 429,
"message": "Too many requests",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 500,
"message": "Internal server error",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 501,
"message": "Not Implemented",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 502,
"message": "Bad Gateway",
"timestamp": "2023-05-30T00:00:00.000Z"
}Proxy Request (Legacy)
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Headers
The account identifier
Set to "heartbeat" to enable keep-alive newline heartbeats during long-running requests. Response includes Preference-Applied: heartbeat header when honored. (RFC 7240)
"heartbeat"
Body
The request body
The base url of the request
"https://api.sample-integration.com/v1"
The method of the request
get, post, put, delete, patch, null The path of the request including any query parameters
"/employees/directory"
The headers to send in the request
{ "Content-Type": "application/json" }
The body of the request
Response
The proxy request was successful.
The HTTP status code returned by the provider
200
The headers returned by the provider
{ "content-type": "application/json", "x-request-id": "123e4567-e89b-12d3-a456-426614174000" }
The response data from the provider. Can be an object, array, or primitive value.
{ "id": "123", "name": "John Doe", "email": "john.doe@example.com" }
Provider-specific errors if any occurred
Show child attributes
Show child attributes
[ { "status": 400, "url": "https://api.someprovider.com/v1/endpoint", "raw": { "error": "Bad Request", "message": "The supplied data is invalid" }, "headers": { "date": "Tue, 02 Apr 2024 13:52:01 GMT", "content-type": "application/json; charset=utf-8" } } ]
Was this page helpful?